/*
MaquetteCollege.h - Librarie pour définir les entrées/sorties de la maquette "Arduino au Collège"

Pascal JEANPIERRE Version du 26/05/2016

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
/* Cette librairie Définie les entrées et sorties de la maquette "Arduino au Collège"
Analog In A0 : Entrée Potentiomètre
I/O 13 : Entrée BP Rouge
I/O 12 : Entrée BP Vert
I/O 11 : Entrée BP Bleu
I/O 10 : Entrée BP Blanc
I/O 9 : Sortie Afficheur série SparkFun
I/O 8 : Sortie LED Rouge
I/O 7 : Sortie LED Vert
I/O 6 : Sortie LED Bleu
I/O 5 : Sortie LED Jaune
I/O 4 : Sortie Trig UltraSon
I/O 3 : Entrée Echo UltraSon
 */

//Déclaration entrées-sorties
  //Entrées TOR
    int BP_Rouge = 13;                      //BP Rouge sur port D13
    int BP_Vert = 12;                       //BP Vert sur port D12
    int BP_Bleu = 11;                       //BP Bleu sur port D11
    int BP_Blanc = 10;                      //BP Blanc sur port D10

   //Sortie Afficheur série
    SerialDisplay AfficheurLCD = SerialDisplay(9);     // Afficheur série sur port D9
    #define vitesse_transmission 9600       // la vitesse de transmission choisie (2400, 4800, 9600, 14400, 19200, 38400)
  
  //Sorties TOR
    int LED_Rouge = 8;                      //LED Rouge sur port D8
    int LED_Verte = 7;                      //LED Verte sur port D7
    int LED_Bleu = 6;                       //LED Bleu sur port D6
    int LED_Jaune = 5;                      //LED Jaune sur port D5

  //E-S module ultrason
    Ultrasonic Capteur_ultrasonic = Ultrasonic(4, 3);    //Ultrasonic(int TP, int EP) : TP=>trigger pin (port D4) ; EP=>Echo pin (port D3)

  //Entrées analogiques;
    int Potentiometre = 0;                          //Potentiomètre sur port A0
	
//Déclaration de variable
int ValeurPotentiometre;							//Valeur retournée par le potentiomètre

void Initialisation()
{
   //Déclaration entrées
  pinMode(BP_Rouge, INPUT_PULLUP);
  pinMode(BP_Vert, INPUT_PULLUP);
  pinMode(BP_Bleu, INPUT_PULLUP);
  pinMode(BP_Blanc, INPUT_PULLUP);

  //Déclaration sorties
  pinMode(LED_Rouge, OUTPUT);
  pinMode(LED_Verte, OUTPUT);
  pinMode(LED_Bleu, OUTPUT);
  pinMode(LED_Jaune, OUTPUT);

  //Vitesse de transmission afficheur série
  AfficheurLCD.begin(vitesse_transmission);
}