/*
Ultrasonic.cpp - Library for HC-SR04 Ultrasonic Ranging Module.library

Created by ITead studio. Apr 20, 2010.
iteadstudio.com

updated by noonv. Feb, 2011
http://robocraft.ru
*/

#include "Ultrasonic.h"

Ultrasonic::Ultrasonic(int TP, int EP)
{
	pinMode(TP, OUTPUT);
	pinMode(EP, INPUT);
	Trig_pin=TP;
	Echo_pin=EP;
	m_Last_call=micros()-Ultrasonic_delay_between_two_salves;
	m_error=Ultrasonic_no_error;
}

int Ultrasonic::Error()
{return m_error;}

long Ultrasonic::Timing()
{
	digitalWrite(Trig_pin, LOW);
	delayMicroseconds(2);
	digitalWrite(Trig_pin, HIGH);
	delayMicroseconds(10);
	digitalWrite(Trig_pin, LOW);
	duration = pulseIn(Echo_pin, HIGH);
	return duration;
}

float Ultrasonic::Ranging(int unites)
{ unsigned long T=micros();
	if (delay_between(T,m_Last_call)>Ultrasonic_delay_between_two_salves) // Une commande toute les 60 ms au maxi
	{
		Timing();
		if (duration<203000)
		{
			distance_cm = float(duration) /29 / 2 ;
			distance_inc = float(duration) / 74 / 2;
			if (unites)
			return distance_cm;
			else
			return distance_inc;
			m_error=Ultrasonic_no_error;
		}
		else
		{
			return -1;
			m_error=Ultrasonic_out_of_limit;
		}
		m_Last_call=T;
	}
	else 
	{
		return -1;
		m_error=Ultrasonic_out_of_delay;
	}
}

unsigned long Ultrasonic::delay_between(unsigned long T2, unsigned long T1)
{
	if (T2>T1)
	{
		return(T2-T1);
	}
	else
	{
		return ( 4294967295-T1+T2);
	}
}

unsigned long Ultrasonic::Last_call()
{
return m_Last_call;
}


