#include "Ultrasonic.h"
/* 
Ultrasonic(int TP, int EP); // Le createur TP : trigger pin; EP : Echo pin
long Timing(); // effectue la mesure et renvoi la longueur impulsion en micro-secondes peu utilisé normalement
float Ranging(int unites); // effectue la mesure et renvoi le resultat de la mesure dans l'unité choisie. 
                              En cas d'erreur, renvoi 0
Les unités sont :
    Ultrasonic_unite_CM  ou CM  = 1 des centimetres
    Ultrasonic_unite_INC ou INC  = 0 des pouces !
	
int Error(); // renvoi le code d'erreur de la dernière mesure
             // Les erreurs codifiées
 //              Ultrasonic_out_of_limit  1
 //              Ultrasonic_out_of_delay 2
 //              Ultrasonic_no_error 0
 
unsigned long Last_call(); // renvoi en milisecondes l'instant de la dernière mesure (tres peu utilisé)
*/
Ultrasonic Capteur_ultrasonic(2, 4); // cree l'objet capteur branché sur les broches 2 et 4

void setup()
{
  Serial.begin(9600);
}
float D;
int Err;

void loop()
{

  if ((D = Capteur_ultrasonic.Ranging(Ultrasonic_unite_CM)) > 0) // prise de la valeur de distance 0 si erreur
  {
    Serial.print(D);
    Serial.print("cm");
    Serial.print(Capteur_ultrasonic.Last_call()); Serial.println("micro s");
    Serial.print("Erreur : Ultrasonic_no-error ":); Serial.println(Ultrasonic_no_error);
    Serial.print("Taille impulsion retour :"); Serial.print(Capteur_ultrasonic.Timing()); Serial.println("micro s");
  }
  else // on a une erreur
  {
    Serial.print("erreur N° :");
    Err = Capteur_ultrasonic.Error();
    switch (Err)
    { case  Ultrasonic_out_of_limit :
        { Serial.print("Ultrasonic_out_of_limit : ");
          Serial.println(Ultrasonic_out_of_limit);
          break;
        }
      case  Ultrasonic_out_of_delay :
        { Serial.print("Ultrasonic_out_of_delay : ");
          Serial.println(Ultrasonic_out_of_delay);
          break;
        }

    };


  }
}
